/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    Diff = require('../../../../lib/object/diff.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};


exports['Diff.'] = function (test) {
    var diff = new Diff({
        foo: 'bar',
        baz: 'quz'
    }, {
        foo: 'bar',
        baz: 'quz2'
    });
    test.ok(diff);
    test.ifError(diff.foo);
    test.ok(diff.baz);
    test.deepEqual(diff.baz, ['quz', 'quz2']);
    test.deepEqual(diff.newer(), { baz: 'quz2' });
    test.done();
};